Name:          nekopull
Version:       0.2.4
Release:       %mkrel 1
Summary:       CyberNeko Pull Parser
Group:         Development/Java
License:       ASL, CyberNeko Software License
Url:           http://people.apache.org/~andyc/neko/doc/pull/
Source0:       http://www.apache.org/~andyc/neko/nekopull-latest.tar.gz
Source1:       http://repo1.maven.org/maven2/org/cyberneko/pull/nekopull/%{version}/nekopull-%{version}.pom
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: xerces-j2
Requires:      jpackage-utils
Requires:      xerces-j2
BuildArch:     noarch


%description
NekoPull is an XML document parsing API that extends the Xerces Native Interface (XNI) to provide pull parsing functionality.
The pull parsing paradigm is different from tree-based APIs like the Document Object Model (DOM) and event stream APIs
like the Simple API for XML (SAX) in that the application controls the parsing of documents. NekoPull is similar to lex in that
the application requests, or pulls, the document information one piece at a time instead of having document information
pushed to the application.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
NekoPull is an XML document parsing API that extends the Xerces Native Interface (XNI) to provide pull parsing functionality.

This package contains javadoc for %{name}.

%prep
%setup -q -n nekopull-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

ln -sf $(build-classpath xerces-j2) lib/xerces2.3.0-patch.jar

%build

ant -f build-pull.xml jar doc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 nekopull.jar \
  %{buildroot}%{_javadir}/nekopull-%{version}.jar
install -m 644 nekopullSamples.jar \
  %{buildroot}%{_javadir}/nekopullsamples-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-nekopull.pom
%add_to_maven_depmap org.cyberneko.pull nekopull %{version} JPP nekopull

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/nekopull-%{version}
cp -pr doc/pull/javadoc/* %{buildroot}%{_javadocdir}/nekopull-%{version}
ln -s nekopull-%{version} %{buildroot}%{_javadocdir}/nekopull

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/nekopull-%{version}.jar
%{_javadir}/nekopull.jar
%{_javadir}/nekopullsamples-%{version}.jar
%{_javadir}/nekopullsamples.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE README_pull TODO_pull

%files javadoc
%{_javadocdir}/nekopull-%{version}
%{_javadocdir}/nekopull



%changelog

* Mon Sep 05 2011 dmorgan <dmorgan> 0.2.4-1.mga2
+ Revision: 138743
- Adapt to mageia guidelines

  + gil <gil>
    - imported package nekopull


* Tue Jun 28 2011 gil <gil> 0.2.4-0.%%mkrel
- initial rpm

